Subject: Re: bug#53391: First keypress doesn't work when scratch buffer is killed in emacs 28, emacs daemon + emacs client is used

From: Евгений Курневский<[email-masked]>
Date: Fri, 21 Jan 2022 10:01:23 +0000

Could it be some kind of a race? When originally tried with my complete
config I had different results with and without (require 'easy-mmode)
before killing scratch buffer. Probably you can try with this line as well?
Also I noticed that if you press q in this case emacs just kills this
opened buffer. So probably emacs is in some mode in this case - can I check
it somehow?

On Fri, Jan 21, 2022 at 9:32 AM Евгений Курневский <[email-masked]>
wrote:

> It is a plain emacs built with nixos. These packages are just different
> versions of emacs, like stable/unstable/master and with or without native
> compilation/pgtk. Also it contains all elpa/melpa packages and functions to
> install them in nixos.
>
> On Fri, Jan 21, 2022 at 9:26 AM Lars Ingebrigtsen <[email-masked]> wrote:
>
>> Евгений Курневский <[email-masked]> writes:
>>
>> > Just a repository with additional emacs packages:
>> > https://github.com/nix-community/emacs-overlay
>> > Overlay is a nixos term: https://nixos.wiki/wiki/Overlays
>>
>> So the problem could be in these packages?  Could you try to build a
>> plain emacs-28 and see whether you can reproduce the problems there?
>>
>> --
>> (domestic pets only, the antidote for overdose, milk.)
>>    bloggy blog: http://lars.ingebrigtsen.no
>>
>
>
> --
> С уважением, Курневский Евгений.
>

-- 
С уважением, Курневский Евгений.